<?php
if (!defined ('TYPO3_MODE')) 	die ('Access denied.');

$TCA['tx_ncfluid_domain_model_table'] = array(
	'ctrl' => $TCA['tx_ncfluid_domain_model_table']['ctrl'],
	'interface' => array(
		'showRecordFieldList' => 'coltext, colint, coldatetime'
	),
	'types' => array(
		'1' => array('showitem' => 'coltext, colint, coldatetime')
	),
	'palettes' => array(
		'1' => array('showitem' => '')
	),
	'columns' => array(
		'coltext' => array(
			'exclude' => 1,
			'label'   => 'LLL:EXT:ncfluid/Resources/Private/Language/locallang.xml:tx_ncfluid_domain_model_table.coltext',
			'config'  => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			)
		),		
		'colint' => array(
			'exclude' => 1,
			'label'   => 'LLL:EXT:ncfluid/Resources/Private/Language/locallang.xml:tx_ncfluid_domain_model_table.colint',
			'config'  => array(
				'type' => 'input',
				'size' => 30,
				'eval' => 'trim,required'
			)
		),		
		'coldatetime' => array(
			'exclude' => 1,
			'label'   => 'LLL:EXT:ncfluid/Resources/Private/Language/locallang.xml:tx_ncfluid_domain_model_table.coldatetime',
			'config'  => array(
				'type' => 'input',
				'size' => 12,
				'max' => 20,
				'eval' => 'datetime,required',
				'checkbox' => '0',
				'default' => '0'
			)
		),				
	),
);
?>