<?php
/**
 * Description of EdittableTextViewHelper
 *
 * @author sn
 */
class Tx_Ncfluid_ViewHelpers_Form_EdittableTextViewHelper extends Tx_Fluid_ViewHelpers_Form_TextfieldViewHelper {

	public function initializeArguments() {
		parent::initializeArguments();
		$this->registerArgument ('rel', 'int', '', TRUE);
	}
	
	/**
	 * @param boolean $required - If the field is required or not
	 * @param string $type - The field type, e.g. "text", "email", "url" etc.
	 * @param string $placeholder - A string used as a placeholder for the value to enter
	 * @return string
	 */
	public function render($required=NULL, $type='text', $placeholder=NULL) {
		$this->tag->addAttribute('rel', $this->arguments['rel']);
		$this->tag->addAttribute('id', $this->arguments['name']);
		$return =  parent::render($required, $type, $placeholder);
		return $return;
	}
	
}
?>